Bug 499885 - emelfm2-debuginfo created from stripped binaries
emelfm2-debuginfo created from stripped binaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: emelfm2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-05-08 14:30 EDT by Ville Skyttä
Modified: 2009-05-26 03:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 07:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix debuginfo (3.61 KB, patch)
2009-05-08 14:30 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2009-05-08 14:30:22 EDT
Created attachment 343141 [details]
Fix debuginfo

Fix attached, see bug 496968 for more info.
Comment 1 Christoph Wickert 2009-05-08 14:50:33 EDT
You are absolutely right and I have to admit that I was aware of this problem. Nevertheless I don't like your patch, something like this should IMO go upstream and have an option in Makefile.config, say STRIP=0 or simply use DEBUG=1. DEBUG=1 does not strip and sets different cflags, but these get overwritten in the spec anyway, so IMO DEBUG is sane. Any objections?
Comment 2 Ville Skyttä 2009-05-08 15:18:56 EDT
I considered that, but:

$ grep -B 1 ^DEBUG Makefile.config
# setting DEBUG to 0/1 turns off/on debugging messages and in-file data for debuggers
DEBUG ?= 0

...I suppose using DEBUG != 0 will not only affect CFLAGS and stripping but will also result in debug message spewage somewhere (stdout?).
Comment 3 Christoph Wickert 2009-05-08 22:37:01 EDT
You are right, so took the patch until we have something better. Fixed in rawhide, you want me to fix this also in F-11 or a stable release? If not, I suggest to wait for the 0.6.0 update that is coming soon (when I fixed a segfault that appears upon updating the config files).
Comment 4 Christoph Wickert 2009-05-08 23:36:14 EDT
FYI: 0.6.0 built for rawhide and F-11.
Comment 5 Ville Skyttä 2009-05-09 00:23:14 EDT
I think that's fine.
Comment 6 Christoph Wickert 2009-05-09 07:35:14 EDT
OK then, closing.
Comment 7 Fedora Update System 2009-05-26 03:55:07 EDT
emelfm2-0.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.